Creates a meter
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
MeterCreate
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| address | RequiredAddressChild | |||||||||||||||||||||||||||||||||||||
|
RequiredAddressChild properties
|
||||||||||||||||||||||||||||||||||||||
| billEntryNote | The bill entry note Must be between 0 and 64 characters | string | ||||||||||||||||||||||||||||||||||||
| commodityId | The identifier for the meter’s commodity Required | integer (int32) | ||||||||||||||||||||||||||||||||||||
| demandUnitId | The demand unit ID is the reporting unit for demand for this meter. It is used to determine initial bill format for this meter. | integer (int32) | ||||||||||||||||||||||||||||||||||||
| includeInEnergyStar | DEPRECATED To be included in ENERGY STAR a meter needs to be linked to a meter in Portfolio Manager This can be done with the PUT place/{placeId}/energyStar/link or the ENERGY STAR: Mappings Setup Sheet | boolean | ||||||||||||||||||||||||||||||||||||
| meterCode | The meter code Required Must be between 0 and 32 characters | string | ||||||||||||||||||||||||||||||||||||
| meterDescription | A description of the meter Must be between 0 and 4000 characters | string | ||||||||||||||||||||||||||||||||||||
| meterInfo | The meter info Required Must be between 0 and 50 characters | string | ||||||||||||||||||||||||||||||||||||
| meterTimeZoneId | The identifier for the meter’s time zone. If one is not specified, the global default meter time zone will be used. | integer (int32) | ||||||||||||||||||||||||||||||||||||
| meterTypeId | The identifier for the meter type. Allowed values include: 1 (standard meter) and 6 (chargeback meter) Required | integer (int32) | ||||||||||||||||||||||||||||||||||||
| placeId | The identifier for the place the meter is assigned to Topmost (Place) Required | integer (int32) | ||||||||||||||||||||||||||||||||||||
| primaryUseId | The identifier for the meter’s primary use | integer (int32) | ||||||||||||||||||||||||||||||||||||
| properties | An array of meter properties | object | ||||||||||||||||||||||||||||||||||||
| useUnitId | The use unit ID is the reporting unit for use for this meter. It is used to determine initial bill format for this meter. If not provided defaults to the common unit for the meter commodity | integer (int32) | ||||||||||||||||||||||||||||||||||||
Example Request Body
{ "address": { "addressTypeId": 1, "city": "string", "country": "string", "latitude": 1.0, "line1": "string", "line2": "string", "line3": "string", "longitude": 1.0, "postalCode": "string", "remitTo": "string", "state": "string"
}, "billEntryNote": "string", "commodityId": 1, "demandUnitId": 1, "includeInEnergyStar": false, "meterCode": "string", "meterDescription": "string", "meterInfo": "string", "meterTimeZoneId": 1, "meterTypeId": 1, "placeId": 1, "primaryUseId": 1, "properties": {}, "useUnitId": 1
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
MeterResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| accounts | MeterAccountChild[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
MeterAccountChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| active | Indicates whether the Meter is Active | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| address | AddressChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
AddressChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billEntryNote | The bill entry note | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| channels | An array of channels assigned to this meter | ChannelChild[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ChannelChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| commodity | CommodityChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
CommodityChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdDate | The date and time the meter was created | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| demandUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| emissionSource | EmissionSourceLink | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
EmissionSourceLink properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| includeInCostAvoidance | Indicates if the meter should be included in cost avoidance | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| includeInEnergyStar | Indicates if the building is included in ENERGY STAR submissions | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| isCalculatedMeter | Indicates whether the Meter is a calculated meter | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| isEsaCalculatedMeter | Indicates whether the Meter is an ESA calculated meter | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| isSplitChildMeter | Indicates whether the Meter is a child of a split | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| isSplitParentMeter | Indicates whether the Meter is a parent of a split | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meterCode | The meter code | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meterDescription | A description of the meter | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meterId | The identifier for the meter | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meterInfo | The meter info | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meterTimeZone | TimeZoneChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
TimeZoneChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meterType | MeterTypeChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
MeterTypeChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedDate | The date and time of the most recent modification of the meter | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| place | PlaceChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| primaryUse | PrimaryUseChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PrimaryUseChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| properties | An array of meter properties | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| route | RouteChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
RouteChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| sentinelStatus | Provides some insight into the current Sentinel enabled status. | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| serialNumber | Meter’s currently assigned serial number | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| serialNumberHistory | MeterSerialNumberHistoryChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
MeterSerialNumberHistoryChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| useUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| watticsDataPoint | WatticsDataPoint | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
WatticsDataPoint properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "accounts": [
{ "accountCode": "string", "accountGeneralLedger": { "generalLedgerCode": "string", "generalLedgerId": 1, "generalLedgerInfo": "string"
}, "accountId": 1, "accountInfo": "string", "accountMeterId": 1, "active": false, "dataAccessReleaseId": 1, "endDate": "2026-03-30", "hasCalculatedMeter": false, "hasSplitChildMeter": false, "hasSplitParentMeter": false, "hasSubAccount": false, "isSubAccount": false, "meterGeneralLedger": { "generalLedgerCode": "string", "generalLedgerId": 1, "generalLedgerInfo": "string"
}, "startDate": "2026-03-30", "vendor": { "vendorCode": "string", "vendorId": 1, "vendorInfo": "string"
}, "vendorType": { "vendorTypeCode": "string", "vendorTypeId": 1
}
}
], "active": false, "address": { "addressTypeId": 1, "city": "string", "country": "string", "latitude": 1.0, "line1": "string", "line2": "string", "line3": "string", "longitude": 1.0, "postalCode": "string", "remitTo": "string", "state": "string"
}, "billEntryNote": "string", "channels": [
{ "channelCode": "string", "channelId": 1, "interval": 1
}
], "commodity": { "commodityCode": "string", "commodityIcon": { "code": "string", "color": "string"
}, "commodityId": 1, "commodityInfo": "string"
}, "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-03-30", "demandUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "emissionSource": { "emissionSourceId": 1
}, "includeInCostAvoidance": false, "includeInEnergyStar": false, "isCalculatedMeter": false, "isEsaCalculatedMeter": false, "isSplitChildMeter": false, "isSplitParentMeter": false, "meterCode": "string", "meterDescription": "string", "meterId": 1, "meterInfo": "string", "meterTimeZone": { "timeZoneCode": "string", "timeZoneId": 1, "timeZoneInfo": "string"
}, "meterType": { "meterTypeCode": "string", "meterTypeId": 1, "meterTypeInfo": "string"
}, "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-03-30", "place": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": { "icon": {}, "isSystemPlaceType": false, "placeEntityType": {}, "placeTypeCode": "string", "placeTypeId": 1, "placeTypeInfo": "string", "structure": false
}
}, "primaryUse": { "primaryUseCode": "string", "primaryUseId": 1, "primaryUseInfo": "string"
}, "properties": {}, "route": { "routeCode": "string", "routeId": 1, "routeInfo": "string"
}, "sentinelStatus": "string", "serialNumber": "string", "serialNumberHistory": { "previousSerialNumber": "string", "serialNumberChangeDate": "2026-03-30"
}, "useUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "watticsDataPoint": { "watticsDataPointId": 1
}
}